Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.audit.service
Class AuditTaskInstanceLogDeleteBuilderImpl

    java.lang.Object
      org.kie.internal.query.AbstractQueryBuilderImpl<T>
          org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder>
              org.jbpm.services.task.audit.service.AuditTaskInstanceLogDeleteBuilderImpl

All Implemented Interfaces:
  org.kie.internal.query.ParametrizedQueryBuilder<org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder>, org.kie.internal.runtime.manager.audit.query.AuditQueryBuilder<org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder>, org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder

    public class AuditTaskInstanceLogDeleteBuilderImpl

extends AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder>
implements org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder

Field Summary
`static String` | `AUDIT_TASK_LOG_DELETE`

Fields inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl
`executor, jpaAuditService`

Fields inherited from class org.kie.internal.query.AbstractQueryBuilderImpl
`queryData`

Constructor Summary
`AuditTaskInstanceLogDeleteBuilderImpl(CommandExecutor cmdExecutor)`
`AuditTaskInstanceLogDeleteBuilderImpl(JPAAuditLogService jpaAuditService)`

Method Summary
`org.kie.internal.query.ParametrizedUpdate` | `build()`
`org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder` | `date(Date... date)`
`org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder` | `dateRangeEnd(Date rangeStart)`
`org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder` | `dateRangeStart(Date rangeStart)`
`org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder` | `deploymentId(String... deploymentId)`
`org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder` | `processId(String... processId)`
`org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder` | `processInstanceId(long... processInstanceId)`

Methods inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl
`checkIfNotNull, ensureDateNotTimestamp, getJpaAuditLogService`

Methods inherited from class org.kie.internal.query.AbstractQueryBuilderImpl
`addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, ascending, clear, descending, equals, getQueryData, intersect, like, maxResults, offset, union`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder
`ascending, clear, descending, equals, intersect, like, maxResults, offset, union`

Field Detail

### AUDIT_TASK_LOG_DELETE

    public static String AUDIT_TASK_LOG_DELETE

Constructor Detail

### AuditTaskInstanceLogDeleteBuilderImpl

    public AuditTaskInstanceLogDeleteBuilderImpl(CommandExecutor cmdExecutor)

### AuditTaskInstanceLogDeleteBuilderImpl

    public AuditTaskInstanceLogDeleteBuilderImpl(JPAAuditLogService jpaAuditService)

Method Detail

### processInstanceId

    public org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder processInstanceId(long... processInstanceId)

  Specified by:
    `processInstanceId` in interface `org.kie.internal.runtime.manager.audit.query.AuditQueryBuilder<org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder>`
  Overrides:
    `processInstanceId` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder>`

### processId

    public org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder processId(String... processId)

  Specified by:
    `processId` in interface `org.kie.internal.runtime.manager.audit.query.AuditQueryBuilder<org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder>`
  Overrides:
    `processId` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder>`

### date

    public org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder date(Date... date)

  Specified by:
    `date` in interface `org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder`
  Overrides:
    `date` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder>`

### dateRangeStart

    public org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder dateRangeStart(Date rangeStart)

  Specified by:
    `dateRangeStart` in interface `org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder`
  Overrides:
    `dateRangeStart` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder>`

### dateRangeEnd

    public org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder dateRangeEnd(Date rangeStart)

  Specified by:
    `dateRangeEnd` in interface `org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder`
  Overrides:
    `dateRangeEnd` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder>`

### deploymentId

    public org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder deploymentId(String... deploymentId)

  Specified by:
    `deploymentId` in interface `org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder`

### build

    public org.kie.internal.query.ParametrizedUpdate build()

  Specified by:
    `build` in interface `org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.